<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Command line description :: Wovalab open-source projects</title>
    <link rel="canonical" href="https://wovalab.gitlab.io/open-source/docs/cli-tool-for-antidoc/latest/CLI.html">
    <link rel="prev" href="index.html">
    <meta name="generator" content="Antora 3.0.2">
    <link rel="stylesheet" href="../../_/css/site.css">
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-3KJN6K6QRD"></script>
    <script>function gtag(){dataLayer.push(arguments)};window.dataLayer=window.dataLayer||[];gtag('js',new Date());gtag('config','G-3KJN6K6QRD')</script>
    <script>var uiRootPath = '../../_'</script>
    <link rel="icon" href="../../favicon.ico" type="image/x-icon">  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item logo" title="Wovalab" href="https://www.wovalab.com"><img src="../../_/img/wovalab-light-vertical.svg" alt="Wovalab" width="64"></a>
      <a class="navbar-item" href="https://wovalab.gitlab.io/open-source/docs">Wovalab open-source projects</a>
      <div class="navbar-item search hide-for-print">
        <div id="search-field" class="field">
          <input id="search-input" type="text" placeholder="Search the docs">
          <label class="filter checkbox">
            <input type="checkbox" data-facet-filter="component:cli-tool-for-antidoc" checked> In this project
          </label>
        </div>
      </div>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="cli-tool-for-antidoc" data-version="1.2.1">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="index.html">Antidoc CLI</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="index.html">Generalities</a>
  </li>
  <li class="nav-item is-current-page" data-depth="1">
    <a class="nav-link" href="CLI.html">CLI command</a>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">Antidoc CLI</span>
    <span class="version">1.2.1</span>
  </div>
  <ul class="components">
    <li class="component">
      <a class="title" href="../../asciidoc-toolkit/latest/index.html">AsciiDoc toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../asciidoc-toolkit/latest/index.html">1.8</a>
        </li>
        <li class="version">
          <a href="../../asciidoc-toolkit/1.7/index.html">1.7</a>
        </li>
        <li class="version">
          <a href="../../asciidoc-toolkit/1.6/index.html">1.6</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc/latest/index.html">Antidoc</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc-addon-lvproj/latest/index.html">Antidoc add-on: LabVIEW project</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc-addon-lvproj/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../antidoc-addon-lvproj/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc-addon-toolkit/latest/index.html">Antidoc add-on: LabVIEW toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc-addon-toolkit/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component is-current">
      <a class="title" href="../latest/index.html">Antidoc CLI</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../2.0/index.html">2.0</a>
        </li>
        <li class="version is-current">
          <a href="index.html">1.2.1</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../about/index.html">Community</a>
    </li>
  </ul>
</div>    </div>
  </aside>
</div>
<main class="article">
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
  <ul>
    <li><a href="index.html">Antidoc CLI</a></li>
    <li><a href="CLI.html">CLI command</a></li>
  </ul>
</nav>
<div class="page-versions">
  <button class="version-menu-toggle" title="Show other versions of page">1.2.1</button>
  <div class="version-menu">
    <a class="version" href="../latest/CLI.html">2.1</a>
    <a class="version" href="../2.0/CLI.html">2.0</a>
    <a class="version is-current" href="CLI.html">1.2.1</a>
  </div>
</div>
  <div class="edit-this-page"><a href="https://gitlab.com/wovalab/open-source/cli-for-antidoc/edit/docs/v1.2/docs/modules/ROOT/pages/CLI.adoc">Edit this Page</a></div>
  </div>
  <div class="content">
<aside class="toc sidebar" data-title="Contents" data-levels="2">
  <div class="toc-menu"></div>
</aside>
<article class="doc">
<h1 class="page">Command line description</h1>
<div class="sect1">
<h2 id="call"><a class="anchor" href="#call"></a>Call</h2>
<div class="sectionbody">
<div class="listingblock">
<div class="title">Command call</div>
<div class="content">
<pre class="highlightjs highlight"><code class="language-c hljs" data-lang="c">g-cli --lv-ver &lt;LabVIEW version number&gt; Antidoc -- <i class="conum" data-value="1"></i><b>(1)</b></code></pre>
</div>
</div>
<div class="colist arabic">
<table>
<tr>
<td><i class="conum" data-value="1"></i><b>1</b></td>
<td>paremeters Specific to Antidoc tool follow "--"</td>
</tr>
</table>
</div>
</div>
</div>
<div class="sect1">
<h2 id="parameters"><a class="anchor" href="#parameters"></a>Parameters</h2>
<div class="sectionbody">
<table class="tableblock frame-all grid-all stretch">
<caption class="title">Table 1. Parameters</caption>
<colgroup>
<col style="width: 20%;">
<col style="width: 20%;">
<col style="width: 20%;">
<col style="width: 40%;">
</colgroup>
<thead>
<tr>
<th class="tableblock halign-left valign-top">Name</th>
<th class="tableblock halign-left valign-top">Category</th>
<th class="tableblock halign-left valign-top">Required</th>
<th class="tableblock halign-left valign-top">Description</th>
</tr>
</thead>
<tbody>
<tr>
<td class="tableblock halign-left valign-top"><p class="tableblock">-pp</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Value</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Yes</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Path of the lvproj file to parse</p></td>
</tr>
<tr>
<td class="tableblock halign-left valign-top"><p class="tableblock">-t</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Value</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Yes</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Generated document title</p></td>
</tr>
<tr>
<td class="tableblock halign-left valign-top"><p class="tableblock">-out</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Value</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Yes</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Path of the file generated by  Antidoc</p></td>
</tr>
<tr>
<td class="tableblock halign-left valign-top"><p class="tableblock">-a</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Value</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">No</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Author name<br>
Default value: "Antidoc"</p></td>
</tr>
<tr>
<td class="tableblock halign-left valign-top"><p class="tableblock">-e</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Value</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">No</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Author&#8217;s e-mail<br>
Default value: &lt;empty&gt;</p></td>
</tr>
<tr>
<td class="tableblock halign-left valign-top"><p class="tableblock">-notfull</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Flag</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">No</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">If set, document generated only contains sections. This could be helpfull when you use Antidoc API in your own tool</p></td>
</tr>
<tr>
<td class="tableblock halign-left valign-top"><p class="tableblock">-configpath</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Value</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">No</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Path of the configuration file.<br>
If not set, Antidoc will use the default configuration to generate the document</p></td>
</tr>
<tr>
<td class="tableblock halign-left valign-top"><p class="tableblock">-commit</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Value</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">No</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Commit revision of the documented code</p></td>
</tr>
<tr>
<td class="tableblock halign-left valign-top"><p class="tableblock">-commitdate</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Value</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">No</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Commit date of the documented code</p></td>
</tr>
<tr>
<td class="tableblock halign-left valign-top"><p class="tableblock">-tag</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Value</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">No</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Tag of the documented code</p></td>
</tr>
<tr>
<td class="tableblock halign-left valign-top"><p class="tableblock">-nousagereport</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Flag</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">No</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">If set, usage reporting is deactivated. See <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/blob/v1.2.0/Usage%%20Reporting.adoc">usage reporting in Antidoc</a> for more information</p></td>
</tr>
</tbody>
</table>
<table class="tableblock frame-all grid-all stretch">
<caption class="title">Table 2. Deprecated Parameters</caption>
<colgroup>
<col style="width: 12.5%;">
<col style="width: 12.5%;">
<col style="width: 37.5%;">
<col style="width: 37.5%;">
</colgroup>
<thead>
<tr>
<th class="tableblock halign-left valign-top">Name</th>
<th class="tableblock halign-left valign-top">Category</th>
<th class="tableblock halign-left valign-top">Description</th>
<th class="tableblock halign-left valign-top">Last version availability</th>
</tr>
</thead>
<tbody>
<tr>
<td class="tableblock halign-left valign-top"><p class="tableblock">-dep</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">Flag</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">If set, Antidoc parse libraries contained in project Dependencies</p></td>
<td class="tableblock halign-left valign-top"><p class="tableblock">1.0.0.2 (replace by config file)</p></td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="sect1">
<h2 id="examples"><a class="anchor" href="#examples"></a>Examples</h2>
<div class="sectionbody">
<div class="listingblock">
<div class="title">Command with only required parameters</div>
<div class="content">
<pre class="highlightjs highlight"><code class="language-c hljs" data-lang="c">g-cli --lv-ver 2014 Antidoc -- -pp  "&lt;lvproj path&gt;" -t "Document Title" -out "&lt;output file path&gt;"</code></pre>
</div>
</div>
<div class="listingblock">
<div class="title">Command with all parameters set</div>
<div class="content">
<pre class="highlightjs highlight"><code class="language-c hljs" data-lang="c">g-cli --lv-ver 2014 Antidoc -- -pp "&lt;lvproj path&gt;" -t "Document Title" -out "&lt;output file path&gt;" -a "Jean Dupont" -e "jean-dupont@abcde.com" -notfull -configpath "&lt;config file path&gt;" -commit "se42as2" -commitdate "2020-09-30" -tag "v1.2.3" -nousagereport</code></pre>
</div>
</div>
<div class="listingblock">
<div class="title">Command with required parameters and flags</div>
<div class="content">
<pre class="highlightjs highlight"><code class="language-c hljs" data-lang="c">g-cli --lv-ver 2014 Antidoc -- -pp  "&lt;lvproj path&gt;" -t "Document Title" -out "&lt;output file path&gt;"</code></pre>
</div>
</div>
</div>
</div>
<nav class="pagination">
  <span class="prev"><a href="index.html">Generalities</a></span>
</nav>
</article>
  </div>
</main>
</div>
<footer class="footer">
  <p>Wovalab © 2018-2022</p>
</footer>
<script id="site-script" src="../../_/js/site.js" data-ui-root-path="../../_"></script>
<script async src="../../_/js/vendor/highlight.js"></script>
<script src="../../_/js/vendor/lunr.js"></script>
<script src="../../_/js/search-ui.js" id="search-ui-script" data-site-root-path="../.." data-snippet-length="100" data-stylesheet="../../_/css/search.css"></script>
<script async src="../../search-index.js"></script>
  </body>
</html>
